NSX-T Data Center Global Manager REST API
Associated URIs:
| API Description | API Path |
|---|---|
List All alarms in the systemPaginated list of all alarms. |
GET /global-manager/api/v1/global-infra/realized-state/alarms
|
Get list of realized objects associated with intent objectGet list of realized entities associated with intent object, specified by path in query parameter |
GET /global-manager/api/v1/global-infra/realized-state/realized-entities
|
Refresh all realized entities associated with the intent-pathRefresh the status and statistics of all realized entities associated with given intent path synchronously. The vmw-async: True HTTP header cannot be used with this API. |
POST /global-manager/api/v1/global-infra/realized-state/realized-entity?action=refresh
|
Get consolidated status of an intent objectGet Consolidated Status of an intent object (with or without enforcement specific status details). The request is evaluated as follows: - <intent_path>: the request is evaluated on all enforcement points for the given intent without enforcement point specific details. - <intent_path, include_enforced_status=true>: the request is evaluated on all enforcement points for the given intent with enforcement point specific details. This is only supported when intent_path refers to an object of one of the following types: SECURITY_POLICY, GATEWAY_POLICY, IDS_SECURITY_POLICY, IDS_GATEWAY_POLICY, IDS_COMPRESSED_SIGNATURE, IDS_COMPRESSED_CUSTOM_SIGNATURE, TLS_POLICY, VPC_SECURITY_POLICY, VPC_GATEWAY_POLICY, PUBLIC_CLOUD_VPC_SECURITY_POLICY, Passing the path of an unsupported type (e.g. a rule) with include_enforced_status=true will result in an error. In such cases, pass the path of the parent policy object instead (e.g., the SecurityPolicy or GatewayPolicy that contains the rule). |
GET /global-manager/api/v1/global-infra/realized-state/status
|